package com.yoyodyne.entities;

import javax.persistence.*;
import java.util.LinkedList;
import java.util.List;

@Entity
@Table(name = "bar")
public class Bar {

	private int id;
	private String name;
	private List<Foo> foos = new LinkedList<Foo>();

	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	public int getId() { return id; }
	public void setId(int id) { this.id = id; }

	public String getName() { return name; }
	public void setName(String name) { this.name = name; }


	// Buggy case - inverse side here

	@ManyToMany(mappedBy="bars")

	// Test case (works) - owning side here
	/*
	@ManyToMany
	@JoinTable(name="foo_bar",
		        joinColumns=@JoinColumn(name="bar_id"),
		        inverseJoinColumns=@JoinColumn(name="foo_id"))
   */

	public List<Foo> getFoos() { return foos; }
	public void setFoos(List<Foo> foos) { this.foos = foos; }
}
